Bug 194617 - Ananconda not fully localized although translation is 100% (all_lang)
Ananconda not fully localized although translation is 100% (all_lang)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
: StringChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 09:05 EDT by Ankit Patel
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-28 09:17:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Ananconda (graphical-mode). (50.56 KB, image/png)
2006-06-26 17:20 EDT, Peter van Egdom
no flags Details
Screenshot of Ananconda (graphical-mode). (54.60 KB, image/png)
2006-06-26 17:21 EDT, Peter van Egdom
no flags Details
Screenshot of Ananconda (graphical-mode). (50.49 KB, image/png)
2006-06-26 17:23 EDT, Peter van Egdom
no flags Details
Screenshot of Ananconda (graphical-mode). (57.27 KB, image/png)
2006-06-26 17:24 EDT, Peter van Egdom
no flags Details
Screenshot of Ananconda (graphical-mode). (50.43 KB, image/png)
2006-06-26 17:26 EDT, Peter van Egdom
no flags Details
Screenshot of Ananconda (text-mode). (5.58 KB, image/png)
2006-06-26 17:27 EDT, Peter van Egdom
no flags Details
bn_IN-screenshot (54.85 KB, image/png)
2006-06-30 06:32 EDT, Satyabrata Maitra
no flags Details
gu_IN-Screenshot (52.26 KB, image/png)
2006-06-30 06:33 EDT, Satyabrata Maitra
no flags Details
Untranslated gu-IN package selection window... (157.72 KB, image/png)
2006-06-30 06:44 EDT, Ankit Patel
no flags Details

  None (edit)
Description Ankit Patel 2006-06-14 09:05:55 EDT
Description of problem:
1. On Package Selection Page following messages are in English : Desktop
Envirnments, Base System, Languages (Breton, Bulgarian, Faeroese, Galician,
Gujarati, Hindi, Irish, Lithuanian Support)
2. After package selection if you go back then during installation it shows the
following error : "There was an error running your transaction, for the
following reason(s): package is already installed". In this meassage first
string "There was an error running your transaction, for the following
reason(s):" is in English.


Version-Release number of selected component (if applicable):
11.1.0.24-1

How reproducible:
Everytime

Steps to Reproduce:
1. Run "anaconda" in any native language 
2. Check for the mentioned messages
3.
  
Actual results:
Messages are displayed in English

Expected results:
Messages should be in selected native language

Additional info:
Comment 1 Jeremy Katz 2006-06-19 20:30:20 EDT
Do you have complete translations for comps-po?  The strings for package
selection stuff are in comps and not the anaconda module.
Comment 2 Ankit Patel 2006-06-20 00:12:11 EDT
Yes comps-po is also 100%. Here is the output of the msgfmt.

[ankit@ankit comps-po]$ msgfmt -cvo /dev/null gu.po
212 translated messages.
[ankit@ankit comps-po]$ msgfmt -vo /dev/null comps.pot
0 translated messages, 212 untranslated messages.
Comment 3 Jeremy Katz 2006-06-20 10:46:40 EDT
Aha, there were a couple of strings not marked correctly.  I've fixed that up in
the source and it should filter through as pot files get updated.
Comment 4 Ankit Patel 2006-06-21 02:07:18 EDT
Thanks Jeremy!

Please let this bug know when .pot file gets updated into the CVS, so that we
can finish translation as soon as possible.
Comment 5 Peter van Egdom 2006-06-26 17:17:39 EDT
I've seen this also on Fedore Core 6 (test1).

Some Anaconda dialog-screens (both in graphical-mode and text-mode) are not 100%
localized. I used Dutch as the installation-language.

I've attached a couple of screenshots of a Dutch installation of Fedora Core
release 5.90 to this bug-report with some examples not mentioned before.

The Dutch translation of Anaconda is (at the moment) 100% translated and synced
to the latest "anaconda.pot" :

[pve-nl@peanut tmp]$ msgfmt -v ~/translate/anaconda/nl.po
1319 translated messages.

Version-Release number of selected component (if applicable):
anaconda-11.1.0.45-1
Comment 6 Peter van Egdom 2006-06-26 17:20:24 EDT
Created attachment 131565 [details]
Screenshot of Ananconda (graphical-mode).
Comment 7 Peter van Egdom 2006-06-26 17:21:53 EDT
Created attachment 131566 [details]
Screenshot of Ananconda (graphical-mode).
Comment 8 Peter van Egdom 2006-06-26 17:23:09 EDT
Created attachment 131567 [details]
Screenshot of Ananconda (graphical-mode).
Comment 9 Peter van Egdom 2006-06-26 17:24:53 EDT
Created attachment 131568 [details]
Screenshot of Ananconda (graphical-mode).
Comment 10 Peter van Egdom 2006-06-26 17:26:02 EDT
Created attachment 131569 [details]
Screenshot of Ananconda (graphical-mode).
Comment 11 Peter van Egdom 2006-06-26 17:27:02 EDT
Created attachment 131570 [details]
Screenshot of Ananconda (text-mode).
Comment 12 Satyabrata Maitra 2006-06-30 06:32:19 EDT
Created attachment 131792 [details]
bn_IN-screenshot
Comment 13 Satyabrata Maitra 2006-06-30 06:33:14 EDT
Created attachment 131793 [details]
gu_IN-Screenshot
Comment 14 Satyabrata Maitra 2006-06-30 06:36:45 EDT
I tested anaconda version anaconda-11.1.0.48-1.i386(Rawhide) in gu_IN and bn_IN
locale.
Found some untranslated sting. Please find the attachment for the screenshots. I
tested only in two locales. If any more locales to cover, please inform me.
Comment 15 Ankit Patel 2006-06-30 06:44:59 EDT
Created attachment 131796 [details]
Untranslated gu-IN package selection window...

Three messages shown in english here should be extracted for transaltion.
Comment 16 Ankit Patel 2006-09-12 05:53:55 EDT
I still couldn't see the strings extracted for translation...
Comment 17 Noriko Mizumoto 2006-11-16 22:42:52 EST
Found many 'language support's are appeared in English still on RHEL5 Beta2 QA,
even translation has been completed 100% in comps. Reported in Bug 216069 as well.
Comment 18 Chris Lumens 2007-02-27 16:27:35 EST
How does this look for F7 test 1?
Comment 19 Ankit Patel 2007-02-28 01:56:09 EST
It looks perfect in latest rawhide. Thanks!

Note You need to log in before you can comment on or make changes to this bug.